Post Work Order Tasks Id Completion

View as Markdown

Completes an uninstructed task. Idempotent. Only valid for uninstructed tasks — returns 422 if the task has an instruction.

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Path parameters

idstringRequired

Response

created Completion
idstringOptional
ULID
titlestringOptional
instructedbooleanOptional
instruction_idstring or nullOptional
ULID. Null for uninstructed tasks.
work_order_idstringOptional
ULID
sort_orderintegerOptional
flaggedbooleanOptional
published_instruction_revision_idstringOptional
ULID
userslist of objectsOptional
started_atlongOptional

Unix timestamp (seconds since epoch)

completedbooleanOptional
approvedbooleanOptional
asset_idstringOptional
ULID
tracked_timeintegerOptional
defects_countintegerOptional
active_defects_countintegerOptional
started_byobjectOptional
editablebooleanOptional
reviewerslist of objectsOptional
formobjectOptional
published_instruction_revisionobjectOptional
positionintegerOptional
planned_start_atlongOptional
planned_finish_atlongOptional
user_can_reviewbooleanOptional
attachmentslist of objectsOptional